package edu.kit.ipd.descartes.adaptation.model.repository.perfdatarepo;

import edu.kit.ipd.descartes.mm.adaptation.WeightedTactic;
import edu.kit.ipd.descartes.perfdatarepo.Impact;
import edu.kit.ipd.descartes.perfdatarepo.Result;

public interface IPerformanceDataRepositoryHandler {
    
    public void load(String modelFileUri);
    
    public Impact getLatestImpact();
    public Impact getLatestImpact(WeightedTactic tactic);

    public Result getCurrentSystemState();
}
